Loading...
Searching...
No Matches
ilist.c File Reference
`#include <stdlib.h>`
`#include <grass/gis.h>`
Include dependency graph for ilist.c:

Go to the source code of this file.

## Functions

void | G_free_ilist (struct ilist *list)
| Free allocated memory of an integer list.
struct ilist * | G_new_ilist (void)
| Return a new integer list.
void | G_init_ilist (struct ilist *list)
| Init an integer list and free allocated memory.
void | G_ilist_add (struct ilist *list, int val)
| Add item to ilist.

## Function Documentation

## G_free_ilist()

void G_free_ilist | ( | struct ilist * | list | ) |

Free allocated memory of an integer list.

Parameters

  list | The pointer to an integer list

Definition at line 27 of file ilist.c.

References G_free(), and list.

## G_ilist_add()

void G_ilist_add | ( | struct ilist * | list,
|  | int | val )

Add item to ilist.

This function adds an integer to the list but does not check for duplicates. In case reallocation fails, G_fatal_error() will be invoked by the allocation function.

Parameters

  list | The ilist pointer
  val | The value to attach

Definition at line 78 of file ilist.c.

References list.

## G_init_ilist()

void G_init_ilist | ( | struct ilist * | list | ) |

Init an integer list and free allocated memory.

Parameters

  list | The pointer to an integer list

Definition at line 58 of file ilist.c.

References G_free(), list, and NULL.

Referenced by G_new_ilist().

## G_new_ilist()

struct ilist * G_new_ilist | ( | void |  | ) |

Return a new integer list.

G_fatal_error() will be invoked by the allocation function.

Returns
  list The pointer to a new allocated integer list

Definition at line 43 of file ilist.c.

References G_init_ilist(), l, and NULL.